%define	fontname	smc
%define	fontconf	90-%{fontname}

# Common description
%define common_desc \
The SMC Fonts package contains fonts for the display of\
traditional and new Malayalam Script.

Name:		%{fontname}-fonts
Version:	04.1
Release:	6%{?dist}
Summary:	Open Type Fonts for Malayalam script
Group:		User Interface/X
License:	GPLv3+ with exceptions and GPLv2+ with exceptions and GPLv2+ and  GPLv2
URL:		http://savannah.nongnu.org/projects/smc
Source:		http://download.savannah.nongnu.org/releases/smc/fonts/malayalam-fonts-%{version}.zip
BuildArch:	noarch
BuildRequires:	fontpackages-devel > 1.13
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
%common_desc

%package common
Summary:  Common files for smc-fonts
Group:	User Interface/X
Requires: fontpackages-filesystem

%description common
%common_desc

%package -n %{fontname}-dyuthi-fonts
Summary: Open Type Fonts for Malayalam script
Group: User Interface/X 
Requires: %{name}-common = %{version}-%{release}
License: GPLv3+ with exceptions
Provides: %{fontname}-fonts-dyuthi = %{version}-%{release}
Obsoletes: %{name}-dyuthi < 04.1-4
%description -n %{fontname}-dyuthi-fonts
The Dyuthi font package contains fonts for the display of
traditional Malayalam Scripts.

%_font_pkg -n dyuthi Dyuthi*.ttf 

%package -n %{fontname}-meera-fonts
Summary: Open Type Fonts for Malayalam script
Group: User Interface/X 
Requires: %{name}-common = %{version}-%{release}
License: GPLv2+ with exceptions
Provides: %{fontname}-fonts-meera = %{version}-%{release}
Obsoletes: %{name}-meera < 04.1-4
%description -n %{fontname}-meera-fonts
The Meera font package contains fonts for the display of
traditional Malayalam Scripts.

%_font_pkg -n meera -f 90-%{fontname}-fonts.conf Meera*.ttf 


%package -n %{fontname}-rachana-fonts
Summary: Open Type Fonts for Malayalam script
Group: User Interface/X 
Requires: %{name}-common = %{version}-%{release}
License: GPLv2+
Provides: %{fontname}-fonts-rachana = %{version}-%{release}
Obsoletes: %{name}-rachana < 04.1-4
%description -n %{fontname}-rachana-fonts
The Rachana font package contains fonts for the display of
traditional Malayalam Scripts.

%_font_pkg -n rachana Rachana*.ttf


%package -n %{fontname}-raghumalayalam-fonts
Summary: Open Type Fonts for Malayalam script
Group: User Interface/X 
Requires: %{name}-common = %{version}-%{release}
License: GPLv2
Provides: %{fontname}-fonts-raghumalayalam = %{version}-%{release}
Obsoletes: %{name}-raghumalayalam < 04.1-4
%description -n %{fontname}-raghumalayalam-fonts
The SMC Malayalam fonts package contains fonts for the display of
new Malayalam Scripts.

%_font_pkg -n raghumalayalam RaghuMalayalamSans*.ttf

%package -n %{fontname}-suruma-fonts
Summary: Open Type Fonts for Malayalam script
Group: User Interface/X 
Requires: %{name}-common = %{version}-%{release}
License: GPLv3+ with exceptions
Provides: %{fontname}-fonts-suruma = %{version}-%{release}
Obsoletes: %{name}-suruma < 04.1-4
%description -n %{fontname}-suruma-fonts
The Suruma font package contains fonts for the display of
traditional Malayalam Scripts.

%_font_pkg -n suruma suruma*.ttf

%package -n %{fontname}-kalyani-fonts
Summary: Open Type Fonts for Malayalam script
Group: User Interface/X
Requires: %{name}-common = %{version}-%{release}
License: GPLv3+ with exceptions
Provides: %{fontname}-fonts-kalyani = %{version}-%{release}
Obsoletes: %{name}-kalyani < 04.1-4
%description -n %{fontname}-kalyani-fonts
The Kalyani font package contains fonts for the display of
new Malayalam Scripts.

%_font_pkg -n kalyani Kalyani*.ttf

%package -n %{fontname}-anjalioldlipi-fonts
Summary: Open Type Fonts for Malayalam script
Group: User Interface/X
Requires: %{name}-common = %{version}-%{release}
License: GPLv3+ with exceptions
Provides: %{fontname}-fonts-anjalioldlipi = %{version}-%{release}
Obsoletes: %{name}-anjalioldlipi < 04.1-4
%description -n %{fontname}-anjalioldlipi-fonts
The Anjali OldLipi package contains fonts for the display of
traditional Malayalam Scripts.

%_font_pkg -n anjalioldlipi AnjaliOldLipi.ttf

#%{_fontdir} is shared by following packages since they all are for malayalam script only

%prep
%setup -q -n malayalam-fonts-04

%build
echo "Nothing to do in Build."

%install
rm -rf %{buildroot}
install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p *.ttf  %{buildroot}%{_fontdir}
install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
		%{buildroot}%{_fontconfig_confdir}
install -m 0644 -p $RPM_BUILD_DIR/malayalam-fonts-04/malayalam-fonts.conf %{buildroot}%{_fontconfig_templatedir}/%{fontconf}-fonts.conf
for fconf in %{fontconf}-fonts.conf ; do
  ln -s %{_fontconfig_templatedir}/$fconf \
	%{buildroot}%{_fontconfig_confdir}/$fconf
done

%clean
rm -fr %{buildroot}


%files common
%defattr(-,root,root,-) 
%doc *.txt 
%dir %{_fontdir}

%changelog
* Fri Apr 03 2009 Pravin Satpute <psatpute@redhat.com> 04.1-6
- bugfix 493814
- added 'Provides' field for packages

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 04.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Jan 22 2009 Rajeesh K Nambiar <rajeeshknambiar@gmail.com> 04.1-4
- change descriptions
- fix bug in kalyani font's obsoleting version number
- move _font_pkg macros next to corresponding packages

* Sat Jan 17 2009 Rajeesh K Nambiar <rajeeshknambiar@gmail.com> 04.1-3
- update for new font guidelines

* Tue Jan 06 2009 Pravin Satpute <psatpute@redhat.com> 04.1-2
- bugfix 477458
- updated spec

* Tue Jul 29 2008 Pravin Satpute <psatpute@redhat.com> 04.1-1
- new upstream release
- fontconfig rule for size adjustment of Meera is added
- two new fonts kalyani and anjalioldlipi
- bugfix 448078

* Tue Apr 15 2008 Pravin Satpute <psatpute@redhat.com> 04-6
- corrected meera fonts description it is for traditional script

* Tue Apr 15 2008 Pravin Satpute <psatpute@redhat.com> 04-5
- removed -n {fontname}-fonts from all fields

* Mon Apr 14 2008 Pravin Satpute <psatpute@redhat.com> 04-4
- added comment about sharing directory in spec file
- fontdir will be 'smc' only instead of 'smc-fonts' earlier

* Wed Apr 9 2008 Pravin Satpute <psatpute@redhat.com> 04-3
- defattr now comes after files
- s/malayalam/Malayalam in description
- removed '-fonts' from fontdir variable value

* Fri Apr 4 2008 Pravin Satpute <psatpute@redhat.com> 04-2
- done changes in spec file as suggested in review request
- changed variable name from xfontdir to fontdir
 
* Thu Apr 3 2008 Pravin Satpute <psatpute@redhat.com> 04-1 
- initial packaging
